/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.dao
 *  ファイル：Messages.java
 *  説明：プロパティーファイルにアクセスするクラスです。
 *
 *  作成日: 2004/01/06
 */
package openolap.viewer.common;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 *  クラス：Messages
 *  説明：プロパティーファイルにアクセスするクラスです。
 */
public class Messages {

	// ********** クラス変数 **********

	/** バンドル名 */
	private static final String BUNDLE_NAME = "openolap.viewer.common.viewer";

	/** バンドルオブジェクト */
	private static final ResourceBundle RESOURCE_BUNDLE =
		ResourceBundle.getBundle(BUNDLE_NAME);

	// ********** コンストラクタ **********

	/**
	 * インスタンス化が不要なクラスであるため、コンストラクタをprivateで定義する。
	 */
	private Messages() {
	}

	// ********** staticメソッド **********

	/**
	 * プロパティーファイルより文字列を取得する。
	 * プロパティーファイルに見つからない場合、キーの前後に「!」をつけた文字列を戻す。
	 * @param key プロパティーファイルに登録されているKEY
	 * @return 文字列
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
